MyGUI: MyGUI::MemberObsolete< Button > Class Reference

MyGUI 3.4.3

Public Member Functions
MyGUI::MemberObsolete< Button > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< Button >:
[legend]

## Public Member Functions
void | setButtonPressed (bool _value)
bool | getButtonPressed () const
void | setStateCheck (bool _value)
bool | getStateCheck () const
ImageBox * | getStaticImage () const
void | setImageIndex (size_t _index)
size_t | getImageIndex () const

## Detailed Description

Definition at line 28 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## ◆ getButtonPressed()

bool MyGUI::MemberObsolete< Button >::getButtonPressed | ( |  | ) | const

Deprecated
  " is deprecated, use : bool Button::getStateSelected()"

Definition at line 47 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getImageIndex()

size_t MyGUI::MemberObsolete< Button >::getImageIndex | ( |  | ) | const

Deprecated
  " is deprecated"

Definition at line 68 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getStateCheck()

bool MyGUI::MemberObsolete< Button >::getStateCheck | ( |  | ) | const

Deprecated
  " is deprecated, use : bool Button::getStateSelected()"

Definition at line 55 of file MyGUI_BackwardCompatibility.cpp.

## ◆ getStaticImage()

ImageBox * MyGUI::MemberObsolete< Button >::getStaticImage | ( |  | ) | const

Deprecated
  " is deprecated"

Definition at line 59 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setButtonPressed()

void MyGUI::MemberObsolete< Button >::setButtonPressed | ( | bool | _value | ) |

Deprecated
  " is deprecated, use : void Button::setStateSelected(bool _value)"

Definition at line 43 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setImageIndex()

void MyGUI::MemberObsolete< Button >::setImageIndex | ( | size_t | _index | ) |

Deprecated
  " is deprecated, use : void Button::setImageName(std::string_view _name)"

Definition at line 63 of file MyGUI_BackwardCompatibility.cpp.

## ◆ setStateCheck()

void MyGUI::MemberObsolete< Button >::setStateCheck | ( | bool | _value | ) |

Deprecated
  " is deprecated, use : void Button::setStateSelected(bool _value)"

Definition at line 51 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp